All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
opencl.cpp File Reference
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/compressed_matrix.hpp"`
`#include "viennacl/tools/timer.hpp"`
`#include <iostream>`
`#include <vector>`

Go to the source code of this file.

## Macros

#define | NDEBUG
#define | VIENNACL_WITH_OPENCL
#define | BENCHMARK_VECTOR_SIZE 100000

## Functions

template<typename ScalarType >
int | run_benchmark ()
int | main ()

## Macro Definition Documentation

#define BENCHMARK_VECTOR_SIZE 100000

Definition at line 47 of file opencl.cpp.

#define NDEBUG

Definition at line 26 of file opencl.cpp.

#define VIENNACL_WITH_OPENCL

Definition at line 30 of file opencl.cpp.

## Function Documentation

int main | ( |  | ) |

Definition at line 118 of file opencl.cpp.

template<typename ScalarType >

int run_benchmark | ( |  | ) |

Definition at line 51 of file opencl.cpp.